Bug 174072 - fails to compile when selinux disabled
Summary: fails to compile when selinux disabled
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: vixie-cron (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-24 10:17 UTC by JW
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-30 17:17:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description JW 2005-11-24 10:17:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 6.0; Windows; U; AIIEEEE!; Win98; Windows 98; en-US; Gecko masquerading as IE; should it matter?; rv:1.8b) Gecko/20050217

Description of problem:
Fails to compile (prep patch fails) when selinux disabled.


Version-Release number of selected component (if applicable):
vixie-cron-4.1-36

How reproducible:
Always

Steps to Reproduce:
1.rpm -v -ba --define "WITH_SELINUX 0" vixie-cron.spec
2.
3.
  

Actual Results:  Fails at patch13.



Expected Results:  Should compile properly


Additional info:

Comment 1 Jason Vas Dias 2005-11-30 17:17:43 UTC
SELinux is an integral part of Fedora Core and our packages are designed to 
support it . If you wish to build a Linux system that does not support SELinux,
you are free to do so, but it will not be Fedora Core .
vixie-cron does not need to compile without SELinux; hence, this is NOTABUG .
For the enhanced version of vixie-cron I am working on, SELinux support is in
separate source files, which should make compilation with SELinux much easier.



Comment 2 JW 2005-11-30 23:10:52 UTC
I have already successssfully patched and recompiled the entired FC4 set of
applications (including extras) without SELINUX.

I have patched all broken spec files which is where the problems have been in
most cases.

So, contrary to what you say, it *is* Fedora Core.


Note You need to log in before you can comment on or make changes to this bug.